import logging
from importlib.metadata import version

__version__ = version(__name__)

logger = logging.getLogger(__name__)

print_handler = logging.StreamHandler()
logfmt = (
    "%(asctime)s [%(levelname)-8s] %(module)s.%(funcName)s(+L%(lineno)-3d): %(message)s"
)

logging.basicConfig(
    level="INFO",
    format=logfmt,
    handlers=[
        print_handler,
    ],
)
